uboot: (firmwareOdroidC2/C4) don't invoke patch tool, use patches = [] instead

https://github.com/NixOS/nixpkgs/blob/master/pkgs/stdenv/generic/setup.sh#L948
this can do it nicely.

Signed-off-by: Anton Arapov <anton@deadbeef.mx>
This commit is contained in:
Anton Arapov 2021-04-03 12:58:10 +02:00 committed by Alan Daniels
commit 56de2bcd43
30691 changed files with 3076956 additions and 0 deletions

View file

@ -0,0 +1,54 @@
{ lib, stdenv, fetchFromGitLab, autoreconfHook, makeWrapper, pkg-config
, lrzsz, ncurses, libiconv }:
stdenv.mkDerivation rec {
pname = "minicom";
version = "2.8";
src = fetchFromGitLab {
domain = "salsa.debian.org";
owner = "minicom-team";
repo = pname;
rev = version;
sha256 = "165zhi88swvkhl3v17223r0f27hb3y0qzrgl51jkk0my2m4xscgg";
};
buildInputs = [ ncurses ] ++ lib.optional stdenv.isDarwin libiconv;
nativeBuildInputs = [ autoreconfHook makeWrapper pkg-config ];
enableParallelBuilding = true;
configureFlags = [
"--sysconfdir=/etc"
"--enable-lock-dir=/var/lock"
];
patches = [ ./xminicom_terminal_paths.patch ];
preConfigure = ''
# Have `configure' assume that the lock directory exists.
substituteInPlace configure \
--replace 'test -d $UUCPLOCK' true
'';
postInstall = ''
for f in $out/bin/*minicom ; do
wrapProgram $f \
--prefix PATH : ${lib.makeBinPath [ lrzsz ]}:$out/bin
done
'';
meta = with lib; {
description = "Modem control and terminal emulation program";
homepage = "https://salsa.debian.org/minicom-team/minicom";
license = licenses.gpl2;
longDescription = ''
Minicom is a menu driven communications program. It emulates ANSI
and VT102 terminals. It has a dialing directory and auto zmodem
download.
'';
maintainers = with maintainers; [ peterhoeg ];
platforms = platforms.linux ++ platforms.darwin;
};
}

View file

@ -0,0 +1,79 @@
diff --git a/src/xminicom b/src/xminicom
index a59aa08..cef153b 100755
--- a/src/xminicom
+++ b/src/xminicom
@@ -7,57 +7,39 @@
#
# version $Id: xminicom,v 1.4 2008-06-09 20:48:35 al-guest Exp $
-findcmd()
-{
- IFS=:
- for i in $PATH
- do
- if [ -x $i\/$1 ]
- then
- result=$i\/$1
- IFS=
- return 0
- fi
- done
- result=
- IFS=
- return 1
+findcmd() {
+ result=$(command -v $1)
}
-if findcmd x-terminal-emulator
-then
+if findcmd x-terminal-emulator ; then
exec $result -T minicom -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
exit 1
fi
-if findcmd color_xterm
-then
+if findcmd konsole ; then
+ exec $result -T minicom -geometry 80x25 -e minicom -m -c on "$@"
+ exit 1
+fi
+
+if findcmd gnome-terminal ; then
+ exec $result -T minicom -geometry 80x25 -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
+ exit 1
+fi
+
+if findcmd color_xterm ; then
exec $result -T minicom -bg black -fg grey -n minicom -geometry 80x25 -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
exit 1
fi
-if findcmd rxvt
-then
+if findcmd rxvt ; then
exec $result -bg black -fg grey -n minicom -T minicom -sl 0 -geometry 80x25 -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
exit 1
fi
-if findcmd kterm
-then
+if findcmd xterm ; then
exec $result -T minicom -n minicom -geometry 80x25 -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
exit 1
fi
-if findcmd xterm
-then
- if [ -f /etc/debian_version ]
- then
- exec $result -T minicom -n minicom -bg black -fg grey -geometry 80x25 -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
- else
- exec $result -T minicom -n minicom -geometry 80x25 -e "if ! minicom -m -c on $*; then echo Press ENTER to continue...; read; fi"
- fi
- exit 1
-fi
-
-echo "xminicom: rxvt, color_xterm or xterm NOT found!" 1>&2
+echo "xminicom: konsole, gnome-terminal, rxvt, color_xterm or xterm NOT found!" 1>&2
exit 1